package com.gic.haoban.manage.service.pojo.bo.chat;

import com.google.common.base.Objects;

import java.io.Serializable;
import java.util.Date;

/**
 * 社群邀请有礼奖励规则表(TabHaobanGroupChatActivityReward)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:56
 */
public class GroupChatActivityRewardBO implements Serializable {
    private static final long serialVersionUID = -78111537762472232L;
    /**
     * 内容活动id
     */
    private Long chatActivityId;
    /**
     * 奖励阶梯 固定奖励默认1
     */
    private Integer inviteLevel;
    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private Integer rewardInvite;
    /**
     * 奖励类型 1积分2成长值3卡券
     */
    private Integer rewardType;

    public GroupChatActivityRewardBO(Long chatActivityId, Integer inviteLevel, Integer rewardInvite, Integer rewardType) {
        this.chatActivityId = chatActivityId;
        this.inviteLevel = inviteLevel;
        this.rewardInvite = rewardInvite;
        this.rewardType = rewardType;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public Integer getInviteLevel() {
        return inviteLevel;
    }

    public void setInviteLevel(Integer inviteLevel) {
        this.inviteLevel = inviteLevel;
    }

    public Integer getRewardInvite() {
        return rewardInvite;
    }

    public void setRewardInvite(Integer rewardInvite) {
        this.rewardInvite = rewardInvite;
    }

    public Integer getRewardType() {
        return rewardType;
    }

    public void setRewardType(Integer rewardType) {
        this.rewardType = rewardType;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        GroupChatActivityRewardBO that = (GroupChatActivityRewardBO) o;
        return Objects.equal(chatActivityId, that.chatActivityId) && Objects.equal(inviteLevel, that.inviteLevel) && Objects.equal(rewardInvite, that.rewardInvite) && Objects.equal(rewardType, that.rewardType);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(chatActivityId, inviteLevel, rewardInvite, rewardType);
    }
}

